Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.poi.ss.usermodel
Enum VerticalAlignment

    java.lang.Object
      java.lang.Enum<VerticalAlignment>
          org.apache.poi.ss.usermodel.VerticalAlignment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<VerticalAlignment>

    public enum VerticalAlignment

extends java.lang.Enum<VerticalAlignment>

This enumeration value indicates the type of vertical alignment for a cell, i.e., whether it is aligned top, bottom, vertically centered, justified or distributed.

Enum Constant Summary
`BOTTOM` The vertical alignment is aligned-to-bottom.
`CENTER` The vertical alignment is centered across the height of the cell.
`DISTRIBUTED` When text direction is horizontal: the vertical alignment of lines of text is distributed vertically, where each line of text inside the cell is evenly distributed across the height of the cell, with flush top
`JUSTIFY` When text direction is horizontal: the vertical alignment of lines of text is distributed vertically, where each line of text inside the cell is evenly distributed across the height of the cell, with flush top and bottom margins.
`TOP` The vertical alignment is aligned-to-top.

Method Summary
`static VerticalAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static VerticalAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final VerticalAlignment TOP

  The vertical alignment is aligned-to-top.

### CENTER

    public static final VerticalAlignment CENTER

  The vertical alignment is centered across the height of the cell.

### BOTTOM

    public static final VerticalAlignment BOTTOM

  The vertical alignment is aligned-to-bottom.

### JUSTIFY

    public static final VerticalAlignment JUSTIFY

  When text direction is horizontal: the vertical alignment of lines of text is distributed vertically, where each line of text inside the cell is evenly distributed across the height of the cell, with flush top and bottom margins.

  When text direction is vertical: similar behavior as horizontal justification. The alignment is justified (flush top and bottom in this case). For each line of text, each line of the wrapped text in a cell is aligned to the top and bottom (except the last line). If no single line of text wraps in the cell, then the text is not justified.

### DISTRIBUTED

    public static final VerticalAlignment DISTRIBUTED

  When text direction is horizontal: the vertical alignment of lines of text is distributed vertically, where each line of text inside the cell is evenly distributed across the height of the cell, with flush top

  When text direction is vertical: behaves exactly as distributed horizontal alignment. The first words in a line of text (appearing at the top of the cell) are flush with the top edge of the cell, and the last words of a line of text are flush with the bottom edge of the cell, and the line of text is distributed evenly from top to bottom.

Method Detail

### values

    public static VerticalAlignment[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VerticalAlignment c : VerticalAlignment.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VerticalAlignment valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.